Subject: Re: bug#32246: 27.0.50; files-tests failure on Cygwin

From: Ken Brown <[email-masked]>
Date: Wed, 25 Jul 2018 12:56:36 -0400

On 7/25/2018 12:46 PM, Michael Albinus wrote:
> Ken Brown <[email-masked]> writes:
> 
> Hi Ken,

Hi Michael,

>> I left out a crucial piece of information in my bug report (sorry!): I
>> always set up my Cygwin systems to be case sensitive, as explained
>> here:
>>
>> https://cygwin.com/cygwin-ug-net/using-specialnames.html#pathnames-casesensitive
>>
>> If you don't do this, then all file systems are case insensitive.  And
>> even if you do this, file names under /cygdrive are case insensitive,
>> as explained at the link above.  So I'm not surprised that you
>> couldn't reproduce the error.
> 
> Well, file_name_case_insensitive_p of fileio.c doesn't care:
> 
> --8<---------------cut here---------------start------------->8---
> #if defined CYGWIN || defined DOS_NT
>    return true;
> #else
>    return false;
> #endif
> --8<---------------cut here---------------end--------------->8---

No, that code is a fallback that is only relevant if the call to 
pathconf with _PC_CASE_INSENSITIVE fails or can't be made.  See the 
comment at the beginning of the definition of 
file_name_case_insensitive_p, and also the comment before the definition.

Best regards,

Ken